2007-06-06  Eric M. Ludlam  <zappo@gnu.org>

	* Project.ede ("common"): regress to prerelease 4

	* Makefile (VERSION): Regress to prerelease 4

	* cedet.el (cedet-version): Regress back to prerelease 4
	(cedet-packages): Regress some packages back to prerelease 4

2007-05-20  Eric M. Ludlam  <zappo@gnu.org>

	* Makefile (common_LISP): Added cedet-files.el.

	* Project.ede ("common"): Add cedet-files.el.

	* cedet-files.el (cedet-dir-sep-char): Replace semanticdb-dir-sep-char.
	(cedet-directory-name-to-file-name): New.
	Copied from semanticdb-file.el, semanticdb-file-name-directory.

	* cedet-compat.el (subst-char-in-string):
	Compat fcn if it doesn't exist.

2007-05-10  Eric M. Ludlam  <zappo@gnu.org>

	* cedet-edebug.el (edebug-setup-hook, debugger-mode-hook):
	Add "A" binding into adebug
	for displaying the values of some variables.

2007-02-19  Eric M. Ludlam  <zappo@gnu.org>

	* working.el: (working-mode-line-update)
	(working-run-with-timer, working-cancel-timer): Fix byte-comp issues.

	* inversion.el (inversion-decode-version): Use string-to-number.
	(inversion-find-version): Add autoload cookie.

	* cedet.el (cedet-version): Move.  Try to fix byte-comp warnings.

2006-02-09  Eric M. Ludlam  <zappo@gnu.org>

	* inversion.el (inversion-find-version):
	Don't load in the whole file while
	scanning for revision numbers.
	(inversion-add-to-load-path): After adding a load path, make
	sure the new file has the correct revision number.

2006-02-08  David Ponce  <david@dponce.com>

	* inversion.el (inversion-add-to-load-path):
	Don't signal an error when shadowing
	an outdated package.

2006-02-08  Eric M. Ludlam  <zappo@gnu.org>

	* icons/Makefile (VERSION): Updated

	* Project.ede (:version): updated (removed)

	* Makefile (VERSION): updated

	* cedet.el (cedet-version): Updated
	(cedet-packages): Revised all version numbers.
	(cedet-version): Improved output table for use w/ PRERELEASE CHECKIST.

	* inversion.el (inversion-version): Update version number
	(inversion-add-to-load-path): Throw error if revision mismatch.

2006-01-30  David Ponce  <david@dponce.com>

	* mode-local.el (define-mode-local-override):
	Set the `definition-name' of the
	symbol generated for the mode local function, so find-func (since
	Emacs 22) can locate it.

2005-12-07  Eric M. Ludlam  <zappo@gnu.org>

	* ezimage.el: Doc Fixes.

2005-10-13  David Ponce  <david@dponce.com>

	* cedet.el (cedet-packages): Update speedbar version requirement.

2005-09-30  Eric M. Ludlam  <zappo@gnu.org>

	* cedet.el, working.el, pprint.el, mode-local.el, inversion.el, fame.el, ezimage.el, cedet-load.el, cedet-compat.el, cedet-autogen.el:
	Update all GPL headers with script from savannah.gnu.org.

	* inversion.el (inversion-decoders):
	Make more robust to some spacing issues.
	(inversion-decode-version): Allow for empty alpha/beta values. (Assume 1)
	(inversion-unit-test): Apply some whitespace issues to prove robustness.

2005-09-29  Eric M. Ludlam  <zappo@gnu.org>

	* mode-local.el (find-func): New require.

2005-09-01  Eric M. Ludlam  <zappo@gnu.org>

	* inversion.el (inversion-check-version): doc fix

2005-06-30  Eric M. Ludlam  <zappo@gnu.org>

	* Project.ede (:version): Updated.

	* icons/Makefile, Makefile (VERSION): Updated.

	* cedet.el (cedet-version): Updated
	(cedet-packages): Updated

	* cedet.el (cedet-version): New command.

2005-05-06  Eric M. Ludlam  <zappo@gnu.org>

	* icons/Makefile (VERSION): Updated version.

	* Project.ede ("common"): Updated version.

	* Makefile (VERSION): Updated
	(autoloads,init,setup,common): Quotes around EMACS.

	* cedet.el (cedet-version): Update revision
	(cedet-packages): Update revisions of dependent packages.

2005-04-20  Eric M. Ludlam  <zappo@gnu.org>

	* inversion.el (inversion-version): Updated
	(inversion-unit-test): Added tests for new "prerelease" decoder.

2005-04-19  David Ponce  <david@dponce.com>

	* inversion.el (inversion-decoders):
	Rename from inversion-decoder-ring.  Define
	as constant.  Fix prerelease regexp and doc string.
	(inversion-decode-version)
	(inversion-release-to-number): Update.

2005-04-19  Eric M. Ludlam  <zappo@gnu.org>

	* inversion.el (speedbar-incompatible-version):
	Support pre-release notation.

	* icons/Makefile, Makefile (VERSION): Updated.

	* Project.ede ("common"): Update Version number

	* cedet.el: Update Version Numbers.

2005-03-24  David Ponce  <david@dponce.com>

	* mode-local.el (activate-mode-local-bindings):
	Fix call to `local-variable-p' for
	XEmacs compatibility.

2005-02-22  Eric M. Ludlam  <zappo@gnu.org>

	* mode-local.el (find-function-regexp):
	Modify it so that `find-function' can find
	overloaded symbols.

2005-02-03  Eric M. Ludlam  <zappo@gnu.org>

	* icons/Makefile (VERSION): Updated version number

	* cedet.el (cedet-version): Update version number.

	* Makefile (VERSION): Update version number

	* Project.ede ("common"): Update versin number.

2005-01-10  David Ponce  <david@dponce.com>

	* mode-local.el (activate-mode-local-bindings):
	Return previous bindings of
	buffer-local variables overridden by mode-local bindings.
	(with-mode-local): Restore buffer-local bindings overridden by
	mode-local bindings.

2004-12-13  David Ponce  <david@dponce.com>

	* working.el (working-noninteractive): Fixed definition.

2004-11-29  David Ponce  <david@dponce.com>

	* fame.el: (fame-valid-level-values)
	(fame-display-choice): Accept 'temp-nolog and 'nolog.
	(fame-level-widget, fame-channel-widget): Format change.
	(fame-temp-message-internal): New function.
	(fame-temp-message): Use it.
	(fame-temp-message-nolog): New function.
	(fame-send-functions-alist): New internal constant.
	(fame-send): Use it.
	(define-fame-channel): Accept a doc string. Fix generated doc
	string.

2004-11-25  David Ponce  <david@dponce.com>

	* Makefile: Re-generate.

	* Project.ede ("common"): Add fame.el to source.

	* working.el (fame): Require.
	(working-noninteractive): New function.
	(working-message-echo): Use it and `fame-message-nolog'.
	(working-message-emacs, working-message-xemacs): Remove.
	(working-current-message): Alias of `fame-current-message'.
	(working-temp-message): Alias of `fame-temp-message'.
	(working-temp-message-timer, working-temp-message-delay)
	(working-temp-restore-message): Remove.

	* fame.el: New library.

2004-09-08  David Ponce  <david@dponce.com>

	* working.el (working-temp-restore-message):
	Fix error when saved message text
	contains percent characters.

2004-07-30  Eric M. Ludlam  <zappo@gnu.org>

	* mode-local.el: Updated Commentary.

	* cedet.el: Update required version of semantic.

2004-07-21  Eric M. Ludlam  <zappo@gnu.org>

	* icons/Makefile (VERSION): update to beta3
	(Makefile): Regenerated

	* Makefile (VERSION): Update to beta3

	* Project.ede ("common"): Update version number.

	* cedet.el (cedet-version): Updated to beta3

2004-07-20  Eric M. Ludlam  <zappo@gnu.org>

	* Makefile (misc_AUX): New
	(dist): Add misc_AUX

	* Project.ede ("misc"): New target.

2004-06-29  David Ponce  <david@dponce.com>

	* working.el: New feature to display messages temporarily.

	(working-temp-message-delay, working-temp-message-timer)
	(working-temp-message-saved): New variables.
	(working-temp-restore-message)
	(working-temp-message): New functions.

2004-06-24  David Ponce  <david@dponce.com>

	* mode-local.el (mode-local-define-derived-mode-needed-p):
	New function.
	(define-derived-mode): Advice if the above returns non-nil.

	(mode-local--init-mode): New variable.
	(mode-local-initialized-p): New function.
	(mode-local-post-major-mode-change): Use it.
	(activate-mode-local-bindings): Register the major mode for which
	bindings have been activated in current buffer.
	(deactivate-mode-local-bindings): Unregister it.

	* cedet.el:
	Run every package setup after the `load-path' has been changed.

2004-05-12  David Ponce  <david@dponce.com>

	* mode-local.el (cl): Require at compile time.
	(define-derived-mode): Advise to workaround a bug in XEmacs
	implementation, which don't set the `derived-mode-parent'
	property.

2004-04-29  David Ponce  <david@dponce.com>

	* icons/Makefile, Makefile: Rebuild.

	* Project.ede ("common"): Add mode-local.el to source.

2004-04-28  David Ponce  <david@dponce.com>

	* mode-local.el: New file.

2004-04-11  Eric M. Ludlam  <zappo@gnu.org>

	* Makefile (dist): Add autoloads

2004-04-08  David Ponce  <david@dponce.com>

	* pprint.el (pprint-nil): Remove.
	(pprint-nil-as-list): New function.
	(pprint-lambda, pprint-defun): Use it.
	(pprint-let): Likewise.  Improve pretty-printing of let bindings.
	(pprint-function): Fix error message.

2004-04-06  Eric M. Ludlam  <zappo@gnu.org>

	* Makefile (dist): Distribute the autoload file

2004-03-30  Eric M. Ludlam  <zappo@gnu.org>

	* Makefile (Makefile):
	Updated with info for when Makefile is out of date.

2004-03-28  David Ponce  <david@dponce.com>

	* cedet.el (let): Revert previous change.

2004-03-28  Eric M. Ludlam  <zappo@gnu.org>

	* cedet.el (cedet-packages): Added cedet-contrib
	(inline code): Allow both package-load and package to be loaded.

2004-03-11  Eric M. Ludlam  <zappo@gnu.org>

	* cedet-autogen.el (cedet-batch-update-autoloads):
	When an error occurs, display both the
	error message, and the more friendly usage message.

2004-02-12  Eric M. Ludlam  <zappo@gnu.org>

	* cedet.el (cedet-version): Updated.

	* icons/Makefile (VERSION): updated.

	* Makefile (common_LISP): Added cedet-edebug.
	(VERSION): Updated.
	(all lisp compilation rules): updated EDE.

	* Project.ede (version): Update to beta 2.

	* Project.ede (common): Added cedet-edebug.el.

	* cedet-edebug.el (eieio,semantic-tag): Removed these dependencies.
	(cedet-edebug-prin1-extensions): Removed contents.
	(cedet-edebug-rebuild-prin1): Change name of generated function.
	(cedet-edebug-prin1-to-string): New fcn.
	(cedet-edebug-add-print-override): New utility function.
	(edebug-setup-hook): Add autoload cookie.

2003-12-29  Eric M. Ludlam  <zappo@gnu.org>

	* working.el: Zajcev Evgeny:
	(senator-try-expand-semantic): Better check for minibuffer in a window.

2003-12-11  Eric M. Ludlam  <zappo@gnu.org>

	* cedet-edebug.el: Extensions to edebug for projects in CEDET.

2003-11-20  Eric M. Ludlam  <zappo@gnu.org>

	* cedet-autogen.el, ezimage.el: Merged with cedet-1p0beta1 branch.

2003-11-17  David Ponce  <david@dponce.com>

	* cedet-autogen.el (cedet-autogen-ensure-default-file):
	Split "Local variables:"
	string that confuses `hack-local-variables'.

2003-11-14  David Ponce  <david@dponce.com>

	* cedet-autogen.el (cedet-autogen-kill-xemacs-autoloads-feature):
	Fix regexp.
	(cedet-autogen-ensure-default-file): New function.
	(cedet-update-autoloads): Use it.

2003-11-09  Eric M. Ludlam  <zappo@gnu.org>

	* ezimage.el (ezimage-image-over-string):
	Always return the string, even if we do
	not put an image over it.

2003-10-22  Eric M. Ludlam  <zappo@gnu.org>

	* icons/Makefile: EDE Makefile for icons.

	* icons/Project.ede: EDE Project file for icons.

2003-10-02  Eric M. Ludlam  <zappo@gnu.org>

	* Project.ede: Now a meta-subproject.

	* Makefile (dist): Remove local creation of tar file.
	(icons): New target
	(all): add icons.

2003-10-01  David Ponce  <david@dponce.com>

	* Makefile: Re-generate.

	* Project.ede (common): Add cedet-compat.el to target sources.

	* cedet-compat.el: New file.

2003-09-24  David Ponce  <david@dponce.com>

	* cedet.el (cedet-packages): Update minimum version requirements.

	* Makefile: Re-generate.

	* Project.ede (common):
	Add sformat.el and working.el to target sources.

	* sformat.el, working.el: New file, moved from semantic.

2003-09-23  David Ponce  <david@dponce.com>

	* inversion.el (inversion-add-to-load-path):
	INSTALLDIR actually specifies where
	PACKAGE is installed.

	* cedet.el (cedet-version): Change to 1.0beta1.
	(cedet-packages): Add "cedet".

	Handle package installed in a directory with a different name.

	* Makefile, Project.ede, cedet-load.el: New file.

2003-09-17  David Ponce  <david@dponce.com>

	* cedet.el (cedet-packages):
	No more need an explicit setup file to load.
	Automatically require the PACKAGE-load feature.

2003-09-08  David Ponce  <david@dponce.com>

	* cedet.el (cl): Require at compile time.
	(cedet-packages): Update versions.  Add autoloads setup.
	(main let): Don't setq default-directory.  Use dolist.  load the
	setup library, don't require it.  Don't stop if failed to load a setup
	library.  Print an error message and continue.

2003-09-06  Eric M. Ludlam  <zappo@gnu.org>

	* inversion.el (inversion-version): Update current version.

	* inversion.el (inversion-require, inversion-upgrade-package):
	add autoload cookie.

	* cedet-autogen.el (cedet-update-autoloads): Autoload cookie.

2003-09-05  David Ponce  <david@dponce.com>

	* cedet-autogen.el (cedet-update-autoloads):
	Also accept an explicit list of
	directories to scan for autoloads.

2003-09-03  David Ponce  <david@dponce.com>

	* cedet-autogen.el: New file.

2003-08-06  David Ponce  <david@dponce.com>

	* ezimage.el (defezimage):
	Fix typo in definition that uses `make-glyph'.

2003-07-23  Eric M. Ludlam  <zappo@gnu.org>

	* inversion.el (inversion-version): set to 1.0

2003-07-18  Eric M. Ludlam  <zappo@gnu.org>

	* ezimage.el (ezimage-insert-image-button-maybe):
	Use when instead of if.
	(ezimage-insert-over-text): Only do logic if images enabled.
	(ezimage-image-over-string): New fcn.

	* icons/bitsbang.xpm, icons/key.xpm, icons/lock.xpm, icons/unlock.xpm:
	*** empty log message ***

2003-07-17  Eric M. Ludlam  <zappo@gnu.org>

	* icons/bits.xpm, icons/box-minus.xpm, icons/box-plus.xpm, icons/box.xpm, icons/checkmark.xpm, icons/dir-minus.xpm, icons/dir-plus.xpm, icons/dir.xpm, icons/doc-minus.xpm, icons/doc-plus.xpm, icons/doc.xpm, icons/info.xpm, icons/key.xpm, icons/label.xpm, icons/lock.xpm, icons/mail.xpm, icons/page-minus.xpm, icons/page-plus.xpm, icons/page.xpm, icons/tag-gt.xpm, icons/tag-minus.xpm, icons/tag-plus.xpm, icons/tag-type.xpm, icons/tag-v.xpm, icons/tag.xpm, icons/unlock.xpm:
	*** empty log message ***

	* ezimage.el: Image display code; extracted from speedbar.

2003-03-04  Eric M. Ludlam  <zappo@gnu.org>

	* inversion.el (inversion-package-version): Fixed output messages.

2003-03-03  Eric M. Ludlam  <zappo@gnu.org>

	* inversion.el (inversion-require): Make file argument optional.

2003-03-02  Eric M. Ludlam  <zappo@gnu.org>

	* inversion.el (inversion-test): Fix typo.

	* inversion.el (inversion-reverse-test): New function.

	* inversion.el (inversion-unit-test):
	New fcn built from previously inline code.

2003-02-17  David Ponce  <david@dponce.com>

	* pprint.el (pprint-defvar): Fixed.
	(pprint-to-string): Escape left parenthesis at beginning of line
	in strings.

2003-01-28  David Ponce  <david@dponce.com>

	* cedet.el: New file.

	* inversion.el (inversion-add-to-load-path):
	Don't change the `load-path' if the
	package directory don't exist.

2002-12-19  David Ponce  <david@dponce.com>

	* inversion.el (inversion-find-version):
	Use `locate-library' to avoid compatibility
	problems.

2002-12-13  David Ponce  <david@dponce.com>

	* inversion.el (inversion-version): Changed to 1.0beta4.
	(inversion-decoder-ring): Doc fix.
	(inversion-recode): Implemented.
	(inversion-check-version): New function.
	(inversion-test): Use it.
	(inversion-add-to-load-path): New function.

2002-12-11  David Ponce  <david@dponce.com>

	* inversion.el: (inversion-incompatible-version)
	(inversion-test): Doc fix.
	(inversion-find-data): New constant.
	(inversion-find-version): New function.
	(inversion-upgrade-package 'semantic): Commented out.

2002-09-05  Eric M. Ludlam  <zappo@gnu.org>

	* inversion.el: Updated tesets.
	(inversion-incompatible-version): Changed for testing
	(inversion-<): Logic updates
	(inversion-test): More tests
	(inversion-require): Added DIRECTORY where new versions to be found.
	(inversion-locate-package-files, inversion-locate-package-files-and-split)
	(inversion-download-package-ask, inversion-upgrade-package): New functions.

2002-09-03  Eric M. Ludlam  <zappo@gnu.org>

	* inversion.el: Update tests.

	* inversion.el (inversion-test): Indentation issues.

	* inversion.el (inversion-test): fixed typo.

	* inversion.el: Added history.
	Checkdoc fixes.

	* inversion.el: Changed version number.

2002-08-21  Eric M. Ludlam  <zappo@gnu.org>

	* inversion.el: Version checking functionality.

2002-03-11  David Ponce  <david@dponce.com>

	* pprint.el (pprint-cond): New function.
	(pprint-with): New function.
	(pprint-setup-standard-printers): Use them to pretty print `cond' and
	`with-...' forms.  Added pretty printing of `dotimes' and
	`unwind-protect'.

	* pprint.el (pprint-min-width): Moved before used.
	(pprint-close-list): Ditto.  Deleted code commented out.

2002-03-10  David Ponce  <david@dponce.com>

	* pprint.el (pprint-sexp-try): Renamed from `pprint-sexp-width'.
	(pprint-list): Use it.  Handle whole list.
	(pprint-close-list): Commented out code that break line.
	(pprint-sexp): Simplified.

	* pprint.el (pprint-no-break-p):
	Check that MOTIONS stay on the same line.
	(pprint-close-list): Check for a newline instead of counting lines.
	(pprint-min-width): Replaced `defconst' by `defvar'.
	(pprint-to-string): Locally bind `inhibit-modification-hooks' to
	non-nil.

	* pprint.el: A flexible Elisp pretty-printer.  Initial revision.

